#TODO Take care of the conversion
%define name module-init-tools
%define version 0.9.9
%define priority 20
%define release 1mdk
%define ftpurl ftp://ftp.kernel.org/pub/linux/kernel/people/rusty/modules/
%define _prefix /

%define toalternate insmod lsmod modprobe rmmod depmod

Summary: Tools for managing Linux kernel modules
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{ftpurl}/%{name}-%{version}.tar.bz2

Patch1: module-init-tools-0.9.7-export-gpl.patch.bz2

License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: %{ftpurl}
Prereq: /usr/sbin/update-alternatives

%description
This package contains a set of programs for loading, inserting, and
removing kernel modules for Linux (versions 2.5.47 and above). It
serves the same function that the "modutils" package serves for Linux
2.4.

%prep
%setup -q
%patch1 -p1 -b .export-gpl

%build
%serverbuild
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall transform=

pushd $RPM_BUILD_ROOT/sbin && {
for i in %{toalternate};do
	mv $i $i-25
done
} && popd

rm -rf $RPM_BUILD_ROOT/%{_mandir}
for n in 5 8;do
	install -d $RPM_BUILD_ROOT/%{_mandir}/man$n/
	for i in *.$n;do
		[[ $n == 8 ]] && ext="-25" || ext=""
		install -m644 $i $RPM_BUILD_ROOT/%{_mandir}/man${n}/${i%%%%.*}${ext}.$n
	done
done

rm -f $RPM_BUILD_ROOT/sbin/*.static

install -d -m755 $RPM_BUILD_ROOT/etc/
touch $RPM_BUILD_ROOT/etc/modprobe.conf

%post
for i in %{toalternate};do
	update-alternatives --install /sbin/$i $i /sbin/$i-25 %{priority}
	update-alternatives --install \
	%{_mandir}/man8/$i.8%{_extension} man-$i %{_mandir}/man8/$i-25.8%{_extension} %{priority}
	[ -e /sbin/$i ] || update-alternatives --auto $i
	[ -e %{_mandir}/$i.8%{_extension} ] || update-alternatives --auto man-$i
done

%postun
for i in %{toalternate};do
	if [ ! -f /sbin/$i-25 ]; then
	  update-alternatives --remove $i /sbin/$i
	fi
	[ -e /sbin/$i ] || update-alternatives --auto $i

	if [ ! -f %{_mandir}/man8/$i-25.8%{_extension} ]; then
	  update-alternatives --remove man-$i %{_mandir}/man8/$i.8%{_extension}
	fi
	[ -e %{_mandir}/man8/$i.8%{_extension} ] || update-alternatives --auto man-$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%doc TODO stress_modules.sh
%config(noreplace) /etc/modprobe.conf
/sbin/generate-modprobe.conf
/sbin/*25
%{_mandir}/*/*

%changelog
* Thu Feb  6 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.9-1mdk
- Bump to version 0.9.9.

* Wed Jan 15 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.8-2mdk
- Remove modutils package and move it to his own package.

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.8-1mdk
- Bump to version 0.9.8.

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.7-5mdk
- handle gpl symbol in module-init-tools (Petr Vandrovec).

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.7-4mdk
- Add modules.conf as noreplace config file.

* Fri Jan 10 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.7-3mdk
- Silly me forgot that bloody Prereq: on update-alternatives.

* Wed Jan  8 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.7-2mdk
- I promess i will go to temple every day light-up a candle and pray
  that update-alternatives will work this time 8-(.
- Generate modutils from here (not really necessary but easy to
  maintain) and try to make it live with new module-init package.
- New module-init-tools package.

* Wed Jan  8 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.7-1mdk
- First version.
- Fake ChangeLog never released because of upgrade of modutils
  nevermind since i am the master of this specfile.

# end of file
